Bug 138750 - [Maintainer Update] converters/bsdconv 3.3
Summary: [Maintainer Update] converters/bsdconv 3.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beat Gaetzi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-12 08:30 UTC by buganini
Modified: 2009-09-15 14:10 UTC (History)
0 users

See Also:


Attachments
file.diff (2.80 KB, patch)
2009-09-12 08:30 UTC, buganini
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description buganini 2009-09-12 08:30:13 UTC
Update converters/bsdconv to 3.3 and fix installation with custom PREFIX

Fix: Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2009-09-12 16:30:22 UTC
Class Changed
From-To: sw-bug->maintainer-update

ports PR. 


Comment 2 Mark Linimon freebsd_committer freebsd_triage 2009-09-12 16:30:22 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs
Comment 3 Beat Gaetzi freebsd_committer 2009-09-14 12:55:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beat

I'll take it.
Comment 4 Beat Gaetzi freebsd_committer 2009-09-14 16:17:31 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

This update includes a shlib bump. Therefore we need to bump ports which
depends on bsdconv. Could you please review and approve this patch:
http://people.freebsd.org/~beat/patches/138750-bsdconv-shlib-bump.patch

Thanks,
Beat

- --
Beat Gätzi       | FreeBSD Committer
beat@FreeBSD.org | http://www.FreeBSD.org
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.12 (FreeBSD)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkquXosACgkQQMW893dCSdvQaACeLKEdutkHjTJ3nYWMKMZt8x1Z
vQMAnjCP3clQK2R903OOUw3U21qHR0bb
=ayqo
-----END PGP SIGNATURE-----
Comment 5 buganini 2009-09-15 02:47:02 UTC
Or just use same version and distfile?
http://security-hole.info/~buganini/ports/p5-bsdconv.patch
http://security-hole.info/~buganini/ports/php5-bsdconv.patch
while the wrapper code wasn't changed.

Thanks,
Buganini


On Mon, Sep 14, 2009 at 11:17 PM, Beat Gaetzi <beat@freebsd.org> wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Hi,
>
> This update includes a shlib bump. Therefore we need to bump ports which
> depends on bsdconv. Could you please review and approve this patch:
> http://people.freebsd.org/~beat/patches/138750-bsdconv-shlib-bump.patch<http://people.freebsd.org/%7Ebeat/patches/138750-bsdconv-shlib-bump.patch>
>
> Thanks,
> Beat
>
> - --
> Beat Gätzi       | FreeBSD Committer
> beat@FreeBSD.org | http://www.FreeBSD.org
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v2.0.12 (FreeBSD)
> Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org
>
> iEYEARECAAYFAkquXosACgkQQMW893dCSdvQaACeLKEdutkHjTJ3nYWMKMZt8x1Z
> vQMAnjCP3clQK2R903OOUw3U21qHR0bb
> =ayqo
> -----END PGP SIGNATURE-----

>
Comment 6 dfilter service freebsd_committer 2009-09-15 14:05:54 UTC
beat        2009-09-15 13:05:40 UTC

  FreeBSD ports repository

  Modified files:
    converters/bsdconv   Makefile distinfo pkg-plist 
    converters/p5-bsdconv Makefile distinfo 
    converters/php5-bsdconv Makefile distinfo 
  Log:
  - Update to 3.3
  - Fix installation with custom PREFIX
  
  PR:             ports/138750
  Submitted by:   Kuan-Chung Chiu <buganini AT gmail.com> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.3       +4 -3      ports/converters/bsdconv/Makefile
  1.3       +3 -3      ports/converters/bsdconv/distinfo
  1.3       +11 -2     ports/converters/bsdconv/pkg-plist
  1.3       +3 -3      ports/converters/p5-bsdconv/Makefile
  1.3       +3 -3      ports/converters/p5-bsdconv/distinfo
  1.3       +3 -3      ports/converters/php5-bsdconv/Makefile
  1.3       +3 -3      ports/converters/php5-bsdconv/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Beat Gaetzi freebsd_committer 2009-09-15 14:07:12 UTC
State Changed
From-To: open->closed

Committed. Thanks!